
_Set_up:

;Exp_14.c,24 :: 		void Set_up() {
;Exp_14.c,26 :: 		ANSEL = 0x04;      // Pin RA2 sets as analog input.
	MOVLW      4
	MOVWF      ANSEL+0
;Exp_14.c,27 :: 		TRISA = 0x04;
	MOVLW      4
	MOVWF      TRISA+0
;Exp_14.c,28 :: 		ADCON1 = 0x82;    // the Vref is Vcc.
	MOVLW      130
	MOVWF      ADCON1+0
;Exp_14.c,29 :: 		ANSELH = 0;      // the rest of the pins set as digital Inputs or outputs.
	CLRF       ANSELH+0
;Exp_14.c,30 :: 		C1ON_bit = 0;    // analog comparators off.
	BCF        C1ON_bit+0, BitPos(C1ON_bit+0)
;Exp_14.c,31 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, BitPos(C2ON_bit+0)
;Exp_14.c,32 :: 		CCP1CON = 0;   //PWM1 y PWM2 off.
	CLRF       CCP1CON+0
;Exp_14.c,33 :: 		CCP2CON = 0;
	CLRF       CCP2CON+0
;Exp_14.c,34 :: 		ADC_Init();
	CALL       _ADC_Init+0
;Exp_14.c,35 :: 		delay_us(100);
	MOVLW      66
	MOVWF      R13+0
L_Set_up0:
	DECFSZ     R13+0, 1
	GOTO       L_Set_up0
	NOP
;Exp_14.c,36 :: 		Lcd_Init();
	CALL       _Lcd_Init+0
;Exp_14.c,37 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;Exp_14.c,38 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;Exp_14.c,39 :: 		Delay_ms(10);
	MOVLW      26
	MOVWF      R12+0
	MOVLW      248
	MOVWF      R13+0
L_Set_up1:
	DECFSZ     R13+0, 1
	GOTO       L_Set_up1
	DECFSZ     R12+0, 1
	GOTO       L_Set_up1
	NOP
;Exp_14.c,40 :: 		}
L_end_Set_up:
	RETURN
; end of _Set_up

_main:

;Exp_14.c,42 :: 		void main() {
;Exp_14.c,43 :: 		Set_up();
	CALL       _Set_up+0
;Exp_14.c,44 :: 		Lcd_Out(1, 5, "Voltage");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      5
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr1_Exp_14+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Exp_14.c,45 :: 		LOOP:
___main_LOOP:
;Exp_14.c,46 :: 		adc_rd = ADC_Get_Sample(2);
	MOVLW      2
	MOVWF      FARG_ADC_Get_Sample_channel+0
	CALL       _ADC_Get_Sample+0
	MOVF       R0+0, 0
	MOVWF      _adc_rd+0
	MOVF       R0+1, 0
	MOVWF      _adc_rd+1
;Exp_14.c,47 :: 		delay_ms(10);
	MOVLW      26
	MOVWF      R12+0
	MOVLW      248
	MOVWF      R13+0
L_main2:
	DECFSZ     R13+0, 1
	GOTO       L_main2
	DECFSZ     R12+0, 1
	GOTO       L_main2
	NOP
;Exp_14.c,48 :: 		voltage=adc_rd*0.004887;/* 5/1023 */
	MOVF       _adc_rd+0, 0
	MOVWF      R0+0
	MOVF       _adc_rd+1, 0
	MOVWF      R0+1
	CALL       _word2double+0
	MOVLW      33
	MOVWF      R4+0
	MOVLW      35
	MOVWF      R4+1
	MOVLW      32
	MOVWF      R4+2
	MOVLW      119
	MOVWF      R4+3
	CALL       _Mul_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      _voltage+0
	MOVF       R0+1, 0
	MOVWF      _voltage+1
	MOVF       R0+2, 0
	MOVWF      _voltage+2
	MOVF       R0+3, 0
	MOVWF      _voltage+3
;Exp_14.c,49 :: 		Float_to_Str(voltage, txt, 3);
	MOVF       R0+0, 0
	MOVWF      FARG_Float_to_Str_n+0
	MOVF       R0+1, 0
	MOVWF      FARG_Float_to_Str_n+1
	MOVF       R0+2, 0
	MOVWF      FARG_Float_to_Str_n+2
	MOVF       R0+3, 0
	MOVWF      FARG_Float_to_Str_n+3
	MOVLW      _txt+0
	MOVWF      FARG_Float_to_Str_res+0
	MOVLW      3
	MOVWF      FARG_Float_to_Str_afterpoint+0
	MOVLW      0
	MOVWF      FARG_Float_to_Str_afterpoint+1
	CALL       _Float_to_Str+0
;Exp_14.c,50 :: 		Lcd_Out(2,6, txt);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      6
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Exp_14.c,51 :: 		delay_ms(500);
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L_main3:
	DECFSZ     R13+0, 1
	GOTO       L_main3
	DECFSZ     R12+0, 1
	GOTO       L_main3
	DECFSZ     R11+0, 1
	GOTO       L_main3
	NOP
	NOP
;Exp_14.c,52 :: 		goto LOOP;
	GOTO       ___main_LOOP
;Exp_14.c,53 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
